Bug 144252 - Children of strace dumps core
Children of strace dumps core
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-05 07:23 EST by Kasper Dupont
Modified: 2015-01-04 17:14 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-10 22:00:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kasper Dupont 2005-01-05 07:23:45 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040922

Description of problem:
After upgrading from kernel-2.6.9-1.6_FC2 to kernel-2.6.9-1.11_FC2
strace no longer works. Only the execve call is printed, then strace
immediately terminates. A core dump from the child process can be
found in the current directory.

Version-Release number of selected component (if applicable):
kernel-2.6.9-1.11_FC2

How reproducible:
Always

Steps to Reproduce:
1. Use the strace command. For example: strace ls


Actual Results:  [kasperd@erwin:pts/2:/tmp/tst] ls
[kasperd@erwin:pts/2:/tmp/tst] strace ls
execve("/bin/ls", ["ls"], [/* 43 vars */]) = 0
[kasperd@erwin:pts/2:/tmp/tst] ls
core
[kasperd@erwin:pts/2:/tmp/tst] 


Expected Results:  strace works like in previous kernels:
[kasperd@erwin:pts/2:/tmp/tst] ls
[kasperd@erwin:pts/2:/tmp/tst] strace ls
execve("/bin/ls", ["ls"], [/* 43 vars */]) = 0
.....
[kasperd@erwin:pts/2:/tmp/tst] ls
[kasperd@erwin:pts/2:/tmp/tst] 


Additional info:
Comment 1 Dave Jones 2005-01-10 22:00:30 EST
should be fixed in todays 2.6.10 update.
please reopen if it persists.

Note You need to log in before you can comment on or make changes to this bug.